Subject: Re: bug#721: Jabberd2 start failture on devuan

From: Mark Hindley <[email-masked]>
Date: Wed, 2 Nov 2022 09:24:03 +0000

Control: tags -1 moreinfo
Control: tags -1 debian

Leonid,

On Tue, Nov 01, 2022 at 12:28:46PM +0500, Leonid wrote:
>    Package: jabberd2
>    Version: 2.7.0-2
>    Hello, dear Devuan developers!
> 
>    I can't fix this bug:
>    I try run jabberd2 service, it doesn't work.

Thanks for this. In general jabberd2 is not forked in Devuan and we use Debian's
packages directly without recompilation. So any bug should be reported to
Debian's BTS.

Looking at Debian's tracker[1], I don't see any significant recent changes. You
will need to provide more information.

 - What group is jabber trying to run as? It looks[2] as if it should be
   jabber. Does the group exist? It should be created in the preinst[3]
 
Mark

[1]  https://tracker.debian.org/pkg/jabberd2

[2]  https://salsa.debian.org/xmpp-team/jabberd2/-/blob/master/debian/init#L18

[3]  https://salsa.debian.org/xmpp-team/jabberd2/-/blob/master/debian/preinst#L38